## irreco-backend-irtrans 0.6.0

=== debian/changelog ===
irreco-backend-irtrans (0.6.0) unstable; urgency=low

  * Initial release

 -- Sampo Savola  <samposav@paju.oulu.fi>  Wed, 11 Jun 2008 15:57:53 +0300
