## irreco-backend-irtrans 0.6.1

=== debian/changelog ===
irreco-backend-irtrans (0.6.1) unstable; urgency=low

  * Initial release for diablo

 -- Sampo Savola  <samposav@paju.oulu.fi>  Wed, 11 Jun 2008 15:57:53 +0300
