=== debian/control ===
Source: irreco-backend-irtrans
Section: user/multimedia
Priority: optional
Maintainer: Sampo Savola <samposav@paju.oulu.fi>
XSBC-Original-Maintainer: Arto Karppinen <arto.karppinen@iki.fi>
Build-Depends: debhelper (>= 5), irtrans-shlib-dev, irtrans-irserver, irreco-core-dev,
 intltool, libhildon1-dev, libhildonfm2-dev
Standards-Version: 3.7.2

Package: irreco-backend-irtrans
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, irreco-core, irtrans-irserver, irtrans-shlib
Replaces: irreco
Description: IRTrans backend for Irreco
 "IR Trans transforms your PC into a programmable remote control: It
 learns the codes of your remote control, stores them in a database and
 sends them controlled by your applications."
 For more information, visit:
 http://www.irtrans.de/en/download/linux.php
